package isrp.model.service.factory;

import isrp.model.service.CountryService;
import isrp.model.service.PaperService;
import isrp.model.service.QuestionService;
import isrp.model.service.ReviewService;
import isrp.model.service.UserService;

/**
 *Interfejs lokalizatora uslug (patrz rozdzial 2)
 */
public interface ServiceLocator {
	PaperService getPaperService();

	UserService getUserService();

	ReviewService getReviewService();

	CountryService getCountryService();

	QuestionService getQuestionService();
}
